import(1)

NAME
import - saves any visible window on an X server and outputs it as an image file. You can capture a single window, the entire screen, or any rectangular portion of the screen.

SYNOPSIS

import [options] output-file

OVERVIEW
The import program is a member of the ImageMagick(1) suite of tools. Use it to capture some or all of an X server screen and save the image to a file. For more information about the import command, point your browser to file://@@HOMEBREW_CELLAR@@/imagemagick@6/6.9.13-11/share/doc/ImageMagick-6/www/import.html or https://imagemagick.org/script/import.php.

DESCRIPTION
Image Settings:
  -adjoin join images into a single multi-image file
  -border include window border in the output image
  -channel type apply option to select image channels
  -colorspace type alternate image colorspace
  -comment string annotate image with comment
  -compress type type of pixel compression when writing the image
  -define format:option
                       define one or more image format options
  -density geometry horizontal and vertical density of the image
  -depth value image depth
  -descend obtain image by descending window hierarchy
  -display server X server to contact
  -dispose method layer disposal method
  -dither method apply error diffusion to image
  -delay centiseconds display the next image after pausing
  -encipher filename convert plain pixels to cipher pixels
  -endian type endianness (MSB or LSB) of the image
  -encoding type text encoding type
  -filter type use this filter when resizing an image
  -format "string" output formatted image characteristics
  -frame include window manager frame
  -gravity direction which direction to gravitate towards
  -identify identify the format and characteristics of the image
  -interlace type None, Line, Plane, or Partition
  -interpolate method pixel color interpolation method
  -label string assign a label to an image
  -limit type value Area, Disk, Map, or Memory resource limit
  -monitor monitor progress
  -page geometry size and location of an image canvas
  -pause seconds seconds delay between snapshots
  -pointsize value font point size
  -quality value JPEG/MIFF/PNG compression level
  -quiet suppress all warning messages
  -regard-warnings pay attention to warning messages
  -repage geometry size and location of an image canvas
  -respect-parentheses settings remain in effect until parenthesis boundary
  -sampling-factor geometry
                       horizontal and vertical sampling factor
  -scene value image scene number
  -screen select image from root window
  -seed value seed a new sequence of pseudo-random numbers
  -set property value set an image property
  -silent operate silently, i.e. don't ring any bells
  -snaps value number of screen snapshots
  -support factor resize support: > 1.0 is blurry, < 1.0 is sharp
  -synchronize synchronize image to storage device
  -taint declare the image as modified
  -transparent-color color
                       transparent color
  -treedepth value color tree depth
  -verbose print detailed information about the image
  -virtual-pixel method
                       Constant, Edge, Mirror, or Tile
  -window id select window with this id or name Image Operators:
  -annotate geometry text
                       annotate the image with text
  -colors value preferred number of colors in the image
  -crop geometry preferred size and location of the cropped image
  -geometry geometry preferred size or location of the image
  -help print program options
  -monochrome transform image to black and white
  -negate replace each pixel with its complementary color
  -quantize colorspace reduce colors in this colorspace
  -resize geometry resize the image
  -rotate degrees apply Paeth rotation to the image
  -strip strip image of all profiles and comments
  -thumbnail geometry create a thumbnail of the image
  -transparent color make this color transparent within the image
  -trim trim image edges
  -type type image type Miscellaneous Options:
  -debug events display copious debugging information
  -help print program options
  -log format format of debugging information
  -list type print a list of supported option arguments
  -version print version information By default, 'file' is written in the Postscript image format. To specify a particular image format, precede the filename with an image format name and a colon (i.e. ps:image) or specify the image type as the filename suffix (i.e. image.ps). Specify 'file' as '-' for standard input or output.

SEE ALSO
ImageMagick(1)

COPYRIGHT
Copyright (C) 1999 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see file://@@HOMEBREW_CELLAR@@/imagemagick@6/6.9.13-11/share/doc/ImageMagick-6/www/license.html or https://imagemagick.org/script/license.php